/*
 Serial Call and Response in ASCII
 Language: Wiring/Arduino

 This program sends an ASCII A (byte of value 65) on startup
 and repeats that until it gets some data in.
 Then it waits for a byte in the serial port, and
 sends three ASCII-encoded, comma-separated sensor values,
 truncated by a linefeed and carriage return,
 whenever it gets a byte in.

 

 Created 24.03.2017
 by M. Berner


 */

// #pragma GCC optimize ("-O3")

int inByte = 0;         // incoming serial byte







void setup() {
  // start serial port at 115200 bps and wait for port to open:
  Serial.begin(115200);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
 


  delay(200);  //kurz warten, damit alles aktiviert werden kann

  
  establishContact();  // send a byte to establish contact until receiver responds

}  // Ende void setup

// ===============================================================

void loop() {
  // if we get a valid byte, read analog ins:
  if (Serial.available() > 0) {
     
    inByte = Serial.read(); // get incoming byte:

    
 

  
  // send sensor values:
    Serial.print("12");  // Test-String 1
    Serial.print(",");
    Serial.print("13");  // Test-String 2 
    Serial.print(",");
    Serial.print("14");  // Test-String 3 
    Serial.print(",");
    Serial.print("15");  // Test-String 5
    Serial.print(",");
    Serial.print("16");  // Test-String 6
    Serial.print(",");
    Serial.println("17");  // Test-String 7
 
 }  // Ende if (Serial.available() > 0)

}  // Ende void loop  

// ===============================================================


//_________________________________________________________________ 
void establishContact() {
  while (Serial.available() <= 0) {
    Serial.println("0,0,0");   // send an initial string
    delay(300);
  }
}  
//__________________________________________________________________






